Qt 5.9 | Qt 3D | C++ Classes | GLTFImporter

Qt 5.9.9 Reference Documentation

# GLTFImporter Class

(Qt3DRender::GLTFImporter)

- List of all members, including inherited members

## Public Functions

| GLTFImporter()
| ~GLTFImporter()
bool | isFileTypeSupported(const QUrl &source) const
Qt3DCore::QEntity * | node(const QString &id)
Qt3DCore::QEntity * | scene(const QString &id = QString())
void | setBasePath(const QString &path)
bool | setJSON(const QJsonDocument &json)
void | setSource(const QUrl &source)

## Member Function Documentation

### GLTFImporter::GLTFImporter()

Default constructs an instance of GLTFImporter.

### GLTFImporter::~GLTFImporter()

Destroys the instance of GLTFImporter.

### bool GLTFImporter::isFileTypeSupported(const QUrl &source) const

### Qt3DCore::QEntity *GLTFImporter::node(const QString &id)

### Qt3DCore::QEntity *GLTFImporter::scene(const QString &id = QString())

### void GLTFImporter::setBasePath(const QString &path)

### bool GLTFImporter::setJSON(const QJsonDocument &json)

### void GLTFImporter::setSource(const QUrl &source)